You are Here:
Linux Lite 5.0 Final is now available for download and installation



Need Help installing Tutka midi tracker

Author (Read 1703 times)

0 Members and 1 Guest are viewing this topic.

Need Help installing Tutka midi tracker
« on: December 31, 2019, 01:57:13 PM »
 

johnnyboy5000

  • New to Forums
  • *
  • 17
    Posts
  • Country: us
  • Reputation: 2
  • Linux Lite Member

  • Linux Lite: 4.6 64bit

  • CPU: AMD Phenom II x4 955

  • MEMORY: 12Gb

  • VIDEO CARD: AMD RS880

  • Kernel: 4.x
I want to install a midi tracker app call Tutka


http://www.nongnu.org/tutka/


I downloaded tutka-1.1.3.tar.xz, but double clicking it doesn't install it.  Any tips on how to install this app?


Thanks
Last Edit: January 05, 2020, 12:33:33 AM by Jerry
 


Re: Need Help installing Tutka midi tracker
« Reply #1 on: January 01, 2020, 01:42:04 AM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 7693
    Posts
  • Country: nz
  • Reputation: 728
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 5.0 64bit

  • CPU: Intel Xeon Dual CPU's E5645 2.4GHz 12 Cores

  • MEMORY: 16Gb

  • VIDEO CARD: nVidia GeForce GTX 1650

  • Kernel: 5.x
You could try the Disco Dingo packages from here - https://launchpad.net/ubuntu/+source/tutka/1.1.2-2/+build/16296442
 

Re: Need Help installing Tutka midi tracker
« Reply #2 on: January 01, 2020, 04:35:03 PM »
 

johnnyboy5000

  • New to Forums
  • *
  • 17
    Posts
  • Country: us
  • Reputation: 2
  • Linux Lite Member

  • Linux Lite: 4.6 64bit

  • CPU: AMD Phenom II x4 955

  • MEMORY: 12Gb

  • VIDEO CARD: AMD RS880

  • Kernel: 4.x
Thanks, I tried that link and there was a deb file, but the installation failed because I was missing libqt5core5a (>= 5.11.0~rc1) dependency.  I watched some youtube videos on tars and compiling, but I guess it's advanced programming that I'm not able to figure out yet. Though there are alot of midi sequencers that are downloaded and installed with the Terminal.  Even the Renoise Demo.  Bitwig is easy and can be installed with a deb file.  Thanks again for trying to help.  I was playing with VividTracker on ios in the meantine...
 

Re: Need Help installing Tutka midi tracker
« Reply #3 on: January 01, 2020, 10:46:36 PM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 7693
    Posts
  • Country: nz
  • Reputation: 728
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 5.0 64bit

  • CPU: Intel Xeon Dual CPU's E5645 2.4GHz 12 Cores

  • MEMORY: 16Gb

  • VIDEO CARD: nVidia GeForce GTX 1650

  • Kernel: 5.x
Worth a shot. If it's any comfort, you'll be able to install Tutka in Series 5.x (Focal Fossa) very easily.

https://launchpad.net/ubuntu/+source/tutka
 

Re: Need Help installing Tutka midi tracker
« Reply #4 on: January 03, 2020, 11:02:18 PM »
 

johnnyboy5000

  • New to Forums
  • *
  • 17
    Posts
  • Country: us
  • Reputation: 2
  • Linux Lite Member

  • Linux Lite: 4.6 64bit

  • CPU: AMD Phenom II x4 955

  • MEMORY: 12Gb

  • VIDEO CARD: AMD RS880

  • Kernel: 4.x
Thanks, but I'm still getting the Error: Dependency is not satisfiable: libqt5core5a (>=5.12.2).  So if there were a way to update libqt5core5a  to >=5.12.2.  I think my system is 5.9.  I'm on the most current Linux Lite 4.6. 

Do you know a good tutorial  to install tar files?  I'd like to learn this technique.

Thanks again for your help.
Last Edit: January 03, 2020, 11:34:22 PM by firenice03
 

Re: Need Help installing Tutka midi tracker
« Reply #5 on: January 04, 2020, 12:09:44 AM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 7693
    Posts
  • Country: nz
  • Reputation: 728
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 5.0 64bit

  • CPU: Intel Xeon Dual CPU's E5645 2.4GHz 12 Cores

  • MEMORY: 16Gb

  • VIDEO CARD: nVidia GeForce GTX 1650

  • Kernel: 5.x
The dependency is from another Ubuntu series so it won't work with the .deb method. Sometimes the deps are earlier so it can work, but not on this occasion.
The Tutka source package has a INSTALL file which gives very basic commands to build it. Read those, literally 3 steps :)

First do:

Code: [Select]
sudo apt install cmake gcc g++ qt4-qmake libasound2-dev qt4-dev-tools
Then extract the http://download.savannah.gnu.org/releases/tutka/tutka-1.1.3.tar.xz file, open a Terminal inside the extracted folder and do:

Code: [Select]
qmake
make
sudo make install

Working here...




If you still don't have any luck, contact the Tutka developer directly, this is not our software so logically, they would be the best to solve this for you.

I could make you your very own one click installer for you, but would likely charge you $20 US for it.
Last Edit: January 05, 2020, 12:19:18 AM by Jerry
 

Re: Need Help installing Tutka midi tracker
« Reply #6 on: January 04, 2020, 08:13:27 PM »
 

johnnyboy5000

  • New to Forums
  • *
  • 17
    Posts
  • Country: us
  • Reputation: 2
  • Linux Lite Member

  • Linux Lite: 4.6 64bit

  • CPU: AMD Phenom II x4 955

  • MEMORY: 12Gb

  • VIDEO CARD: AMD RS880

  • Kernel: 4.x
I'm not sure what I'm doing wrong, but I following the instructions. I'll have to try contacting the developer.  I really appreciate your help and really like linux lite.




 john ~ sudo apt install cmake gcc g++ qt4-qmake libasound2-dev qt-sdk qt4-dev-tools [sudo] password for john: Reading package lists... Done Building dependency tree Reading state information... Done E: Unable to locate package qt-sdk 
 john ~ Desktop tutka-1.1.3 qmake qmake: could not exec '/usr/lib/x86_64-linux-gnu/qt4/bin/qmake': No such file or directory  john ~ Desktop tutka-1.1.3 make make: *** No targets specified and no makefile found.  Stop.  john ~ Desktop tutka-1.1.3 sudo make install [sudo] password for john: make: *** No rule to make target 'install'.  Stop. 
 

Re: Need Help installing Tutka midi tracker
« Reply #7 on: January 05, 2020, 12:19:01 AM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 7693
    Posts
  • Country: nz
  • Reputation: 728
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 5.0 64bit

  • CPU: Intel Xeon Dual CPU's E5645 2.4GHz 12 Cores

  • MEMORY: 16Gb

  • VIDEO CARD: nVidia GeForce GTX 1650

  • Kernel: 5.x
Try this:

Code: [Select]
sudo apt install cmake gcc g++ qt4-qmake libasound2-dev qt4-dev-tools
looks like it doesn't need the qt-sdk dependency anymore.

then:

Code: [Select]
qmake
make
sudo make install

Then you should see Tutka in the Menu under Multimedia.
 

Re: Need Help installing Tutka midi tracker
« Reply #8 on: January 05, 2020, 10:15:07 AM »
 

johnnyboy5000

  • New to Forums
  • *
  • 17
    Posts
  • Country: us
  • Reputation: 2
  • Linux Lite Member

  • Linux Lite: 4.6 64bit

  • CPU: AMD Phenom II x4 955

  • MEMORY: 12Gb

  • VIDEO CARD: AMD RS880

  • Kernel: 4.x
Hooray!!  That worked!  Can't wait to try it out with my midi hardware.  Awesome, thanks again!
 

Re: Need Help installing Tutka midi tracker
« Reply #9 on: January 05, 2020, 11:00:09 AM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 7693
    Posts
  • Country: nz
  • Reputation: 728
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 5.0 64bit

  • CPU: Intel Xeon Dual CPU's E5645 2.4GHz 12 Cores

  • MEMORY: 16Gb

  • VIDEO CARD: nVidia GeForce GTX 1650

  • Kernel: 5.x
That's how we roll round here.

Sent from my Mobile phone using Tapatalk

 


Tags:
 


Linux Lite 5.0 Final is now available for download and installation